function OnWarpEnter() 
	SetMarker("cs\\Warp_0073.wp" , 0 , 0) 
--	SetMarker("cs\\Dague" , 4 , 0) 

	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 
		
	end 
	if ETAT_DAY == "D3" then 
		
		if not FIRST_ENTRANCE_0074_D3 then
			LookAt(152,008)
			PHILIP_DEAD_GUARD_0072_D3 = false
			DrawText("Ma2553","Ma2553.ogg",0) -- C'est donc là que se reposent les gardes de Catherine de Médicis.
			FIRST_ENTRANCE_0074_D3 = true
		end
		AnimationSetToEnd("hoc1",false)
		if KNIFE_ON_WALL_0073_D3 then
			PutObject("hqc1",false)
			SetMarker("hqc1",4)
		else
			SetMarker("Dague", 4, 0)
		end
		if not BED_SHEET_0074_D3 then
			PutObject("hpc1",true)
			SetMarker("hpc1",2,0)
		else
			PutObject("hrc1",true)
			SetMarker("hrc1",4,0)
		end
	end 
	if ETAT_DAY == "D4" then 
		PutObject("hqc1",false)
		SetMarker("hqc1",4,0)
		AnimationSetToEnd("hoc1",false)


	end 
	if ETAT_DAY == "D5" then 
		PutObject("hqc1",false)
		SetMarker("hqc1",4,0)
		if GUARD_CAPTURED_NOSTRADAMUS then
--			StartAnimationPart("hnc1",0,10,-1,false)
			AnimationSetToStart("hoc1",false)
--			SetMarker("hnc1",4,0)
			LookAt(8,8)
			
			if not ALREADY_ENTERED_74_D5 then
				StartAnimationPart("hnc1",30,60,-1,false)
				if DRESS_MONK then
					DrawText("Ch2925","Ch2925.ogg",3) -- Qui êtes-vous ? Et que me voulez-vous ? Je n'ai rien à confesser !
					DrawText("Ma2926","Ma2926.ogg",0) -- Chut, moins fort ! Je n'en dirais pas autant à ta place !
					DrawText("Ch2927","Ch2927.ogg",3) -- Madeleine ? C'est toi ?
					DrawText("Ma2928","Ma2928.ogg",0) -- Oui, je crois !
					DrawText("Ce2929","Ce2929.ogg",1) -- Mais tu peux aussi m'appeler César si ça te chante !
					DrawText("Ch2930","Ch2930.ogg",3) -- Mais …
					DrawText("Ma2931","Ma2931.ogg",0) -- Ne fais pas cette tête, César était absent et Catherine n'aurait certainement pas accepté qu'une jeune fille mène l'enquête !
					DrawText("Ma2932","Ma2932.ogg",0) -- En tout cas, je t'ai bien eu !
					ALREADY_ENTERED_74_D5 = true
				else
					DrawText("Ch2927","Ch2927.ogg",3) -- Madeleine ? C'est toi ?
					DrawText("Ma2928","Ma2928.ogg",0) -- Oui, je crois !
					DrawText("Ce2929","Ce2929.ogg",1) -- Mais tu peux aussi m'appeler César si ça te chante !
					DrawText("Ch2930","Ch2930.ogg",3) -- Mais …
					DrawText("Ma2931","Ma2931.ogg",0) -- Ne fais pas cette tête, César était absent et Catherine n'aurait certainement pas accepté qu'une jeune fille mène l'enquête !
					DrawText("Ma2932","Ma2932.ogg",0) -- En tout cas, je t'ai bien eu !
					ALREADY_ENTERED_74_D5 = true
				end
			else
				StartAnimationPart("hnc1",0,30,-1,false)
				SetMarker("hnc1",4,0)
			end
		end
	else
		AnimationSetToEnd("hoc1",false)
	end
	
end

function OnWarpLeave()
end

function AskSeparation()
	if ETAT_DAY == "D5" then
		PushAnswer("Ma2934") -- Nous n'avons pas de temps à perdre.
		PushAnswer("Ma2947") -- Connaissais-tu bien le scribe ?
		if not  JEAN_GAVE_KEY_D5 then
			PushAnswer("Ma2959") -- J'ai besoin d'en apprendre plus au sujet de la symbolique liée au pentacle.
		end
		PushAnswer("3411") -- Prendre congé
	end
end

function OnAnswered(textId)
	if textId == "Ma2934" then -- Nous n'avons pas de temps à perdre.
			StartAnimationPart("hnc1",0,20,-1,false)
			DrawText("Ma2935","Ma2935.ogg",0) -- Ils t'ont arrêté après avoir trouvé le corps de Constance et une lettre où elle dit s'être suicidée, accablée par les remords de vous avoir aidé, mon père et toi, à monter cette malédiction de toute pièce.
			DrawText("Ch2936","Ch2936.ogg",3) -- C'est absurde ! Pourquoi aurions-nous fait ça ?
			DrawText("Ma2937","Ma2937.ogg",0) -- Mais pour déstabiliser la couronne. Entre astrologue et hérétique, il n'y a qu'une mince frontière que quelqu'un cherche à vous faire franchir au plus vite !
			DrawText("Ma2938","Ma2938.ogg",0) -- Ceux qui tuent sont puissants Jean-Aimé, ils veulent s'en prendre au jeune Henri de Navarre, celui dont tu devais faire le thème.
			DrawText("Ch2939","Ch2939.ogg",3) -- Mais je t'ai dis que je ne savais pas…
			DrawText("Ma2940","Ma2940.ogg",0) -- Peu importe, ce qui compte c'est qui te l'a demandé. Je dois le savoir maintenant. Les gardes ont dû déjà mettre Nostradamus aux arrêts et il n'y a que moi pour vous sortir de ce mauvais pas, alors parle !
			DrawText("Ch2941","Ch2941.ogg",3) -- Si c'est celui qui m'a commandé ce thème qui est derrière tout ça, nous ne nous en sortirons pas.
			DrawText("Ma2942","Ma2942.ogg",0) -- N'en sois pas si sûr. Mais pour l'amour de Dieu, dis moi qui c'est.
			DrawText("Ch2943","Ch2943.ogg",3) -- Le Cardinal de Lorraine, duc de Guise.
			DrawText("Ma2944","Ma2944.ogg",0) -- Ça ne m'étonne pas. Si tu avais eu le temps de calculer le thème du jeune Henri, tu comprendrais mieux pourquoi !
			DrawText("Ch2945","Ch2945.ogg",3) -- Si le mobile se trouve dans le thème, ton raisonnement tombe à l'eau puisque je ne lui ai jamais donné.
			DrawText("Ma2946","Ma2946.ogg",0) -- Tu n'es pas le seul à pouvoir calculer un thème !
	elseif textId == "Ma2947" then -- Connaissais-tu bien le scribe ?
			StartAnimationPart("hnc1",30,60,-1,false)
			DrawText("Ch2948","Ch2948.ogg",3) -- Bien, non. Nous avons un peu bavardé en chemin. Il était pieux et cultivé, un moine scribe sans grande surprise.
			DrawText("Ma2949","Ma2949.ogg",0) -- Tu peux employer le présent et pour les surprises tu vas être servi : il n'est pas mort.
			DrawText("Ma2950","Ma2950.ogg",0) -- C'est d'ailleurs certainement lui qui a tué Philibert, puis le garde et Constance.
			DrawText("Ch2951","Ch2951.ogg",3) -- Mais c'est impossible, j'ai aidé à le porter dans la Chapelle !
			DrawText("Ma2952","Ma2952.ogg",0) -- Il a pris une potion pour simuler la mort. Père dit que ceux qui connaissent pareilles préparations sont très rares. Penses-tu qu'il avait ce genre de connaissances ?
			DrawText("Ch2953","Ch2953.ogg",3) -- Non. A part ton père je n'ai rencontré qu'un homme qui connaissait aussi bien les plantes et leurs effets, l'apothicaire de Catherine, mais il est mort …
			DrawText("Ma2954","Ma2954.ogg",0) -- Durant le voyage qui vous a amené ici, sur la route en pleine nuit c'est bien cela ? 
			DrawText("Ch2955","Ch2955.ogg",3) -- Mon dieu !
			DrawText("Ma2956","Ma2956.ogg",0) -- Je n'ai plus affaire avec un assassin, mais avec deux !
			DrawText("Ch2957","Ch2957.ogg",3) -- Sois prudente Madeleine.
			DrawText("Ma2958","Ma2958.ogg",0) -- Ne t'inquiète pas et tiens toi tranquille, ce serait dommage de te faire embrocher avant que je ne te fasse innocenter !

	elseif textId == "Ma2959" then -- J'ai besoin d'en apprendre plus au sujet de la symbolique liée au pentacle.
			StartAnimationPart("hnc1",30,60,-1,false)
			DrawText("Ch2960","Ch2960.ogg",3) -- Va voir dans mon bureau, tu devrais y trouver une gravure de pentacle.
	elseif textId == "3411" then
			SetMarker("hnc1",4,0)
	end
end

function OnDialogFinished(dialogName)
	if dialogName == "Ch2960" then
		JEAN_GAVE_KEY_D5 = true
		AddToBag("C_clef_chavigny2")
	        DrawText("Ch2961","Ch2961.ogg",3) -- C'est une étoile à cinq branches, inscrite dans un cercle. Il peut symboliser la magie des hérétiques comme la connaissance, les cinq éléments ou l'association du féminin et du masculin …
		DrawText("Ma2962","Ma2962.ogg",0) -- Intéressant !
	end
	if dialogName == "Ma2553" then
		LookAt(338,7)
		DrawText("Ma2554","Ma2554.ogg",0) -- C'est sans doute à cause des armes que l'accès en est interdit.
	end
	if dialogName == "Ch2925" or dialogName == "Ch2927" or dialogName == "Ch2930" or dialogName == "Ma2932" or dialogName == "Ch2936" 
	or dialogName == "Ch2939" or dialogName == "Ch2941" or dialogName == "Ch2943" or dialogName == "Ch2945" or dialogName == "Ch2948" 
	or dialogName == "Ch2951" or dialogName == "Ch2953" or dialogName == "Ch2955" or dialogName == "Ch2957" or dialogName == "Ch2961"  then
		StartAnimationPart("hnc1",0,20,-1,false)
	end
	if dialogName == "Ma2926" or dialogName == "Ma2935" or dialogName == "Ma2938" or dialogName == "Ma2940" or dialogName == "Ma2950"
	or dialogName == "Ma2942" or dialogName == "Ma2944" or dialogName == "Ma2947" or dialogName == "Ma2952" or dialogName == "Ma2954" 
	or dialogName == "Ma2956" or dialogName == "Ma2959" or dialogName == "Ce2929" then
		StartAnimationPart("hnc1",30,60,-1,false)

	end
	if dialogName == "Ma2932" or dialogName == "Ma2946" or dialogName == "Ma2958" or dialogName == "Ma2962" then
--		StartAnimationPart("hnc1",30,60,-1,false)
		SetMarker("hnc1",4,0)
	end
	if dialogName == "Ma2752" or dialogName == "Ma2755" or dialogName == "Ma2751" then
		if KNIFE_ON_WALL_0073_D3 then
			SetMarker("hqc1",4)
		else
			SetMarker("Dague", 4, 0)
		end
		if ETAT_DAY == "D3" then
			if not BED_SHEET_0074_D3 then
				SetMarker("hpc1",2,0)
			else
				SetMarker("hrc1",4,0)
			end
		end
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0073.wp" then 
		ChangeWarp(objectName)

	elseif objectName == "3D\\Dague" or objectName == "hqc1" then 
		if not KNIFE_ON_WALL_0073_D3 then
			SetMarker("Dague",-1,0)
			SetMarker("hqc1",-1,0)
			SetMarker("hpc1",-1,0)
			SetMarker("hrc1",-1,0)
			DrawText("Ma2752","Ma2752.ogg",0) -- La lame qui a tué le garde provient certainement d'ici.
		else
			SetMarker("hqc1",-1,0)
			SetMarker("Dague",-1,0)
			SetMarker("hpc1",-1,0)
			SetMarker("hrc1",-1,0)
			DrawText("Ma2754","Ma2754.ogg",0) -- C'est certainement l'arme qui a tué le garde.
			DrawText("Ma2756","Ma2756.ogg",0) -- Elle est bien trop propre par rapport aux autres. 
			DrawText("Ma2755","Ma2755.ogg",0) -- Le meurtrier ne manque pas de sang froid pour venir la remettre à sa place.
		end
	end

--DAY1
	if ETAT_DAY == "D1" then 
		-- Drap
		if objectName == "hpc1" then

		-- Dague   
		elseif objectName == "hqc1" then

		-- Bouteille
		elseif objectName == "hrc1" then

		-- Chavigny
		elseif objectName == "hnc1" then

		-- Porte
		elseif objectName == "hoc1" then

		end
	end

--DAY2 
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 
		if objectName == "hpc1" then
		    if not BED_SHEET_0074_D3 then
			RemoveObject("hpc1")
			PutObject("hrc1",true)
			SetMarker("hrc1",4)
			SetMarker("hpc1",-1,0)
			AddToBag("C_drap") --bedsheet
			BED_SHEET_0074_D3 = true
		  end
			--Draw Text
		elseif objectName == "hqc1" then

		elseif objectName == "hrc1" then
			SetMarker("Dague",-1,0)
			SetMarker("hpc1",-1,0)
			SetMarker("hrc1",-1,0)
			DrawText("Ma2751","Ma2751.ogg",0) -- De l'eau de vie ! Si le garde l'a vidée aujourd'hui, pas étonnant qu'il se soit laissé poignarder sans réagir.
		end
	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 
		if objectName == "hnc1" then
			SetMarker("hnc1",-1,0)
			AskSeparation()

		end
	end 
end

